aspose file tools*
The moose likes iOS and the fly likes how to use iPhone simulator Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Mobile » iOS
Bookmark "how to use iPhone simulator" Watch "how to use iPhone simulator" New topic
Author

how to use iPhone simulator

amita Dewan
Greenhorn

Joined: Jul 26, 2010
Posts: 9
I am totally new to mac development
Please help me out, i am not able to get iphone simulator in xcode
I have Mac 10.6.0
I have installed on it xcode321_10m2003_developerdvd.dmg
My xcode is version 3.2.1
But I am not able to use iPhone simulator.
I have downloaded the hello world application from apple developer site.
I am not able to run the application.(and not even build it)
I want to use iphone simulator
Do I need to install some more??
Please provide the solution.

Regards,
Amit Dewan
Hussein Baghdadi
clojure forum advocate
Bartender

Joined: Nov 08, 2003
Posts: 3476

Are you getting any error message upon building the project?
Try to launch the simulator via Spotlight, just type "iPhone Simulator".
amita Dewan
Greenhorn

Joined: Jul 26, 2010
Posts: 9
By writing "iphone simulator" in spotlight, no good document comes up.
I want to create simple application that runs on iphone simulator
Do we have any documentation for this??
Please provide and help
Hussein Baghdadi
clojure forum advocate
Bartender

Joined: Nov 08, 2003
Posts: 3476

amita Dewan wrote:By writing "iphone simulator" in spotlight, no good document comes up.
I want to create simple application that runs on iphone simulator
Do we have any documentation for this??
Please provide and help

Amita,
By typing "iPhone Simulator" in Spotlight, the simulator should be launched in case it is installed (and it should be since you have installed Xcode).
Try to google the web for iPhone tutorials or get a book.
http://developer.apple.com/iphone/library/documentation/iPhone/Conceptual/iPhone101/Articles/00_Introduction.html
amita Dewan
Greenhorn

Joined: Jul 26, 2010
Posts: 9
My version of xcode is 3.2.1
and it seems I dont have iphone simulator
Is this version sufficient or not for simulator to work??

Also tell is this version ok for iphone development.
Hussein Baghdadi
clojure forum advocate
Bartender

Joined: Nov 08, 2003
Posts: 3476

iPhone simulator is included in Xcode, I don't know what is going wrong with your installation.
Sorry.
amita Dewan
Greenhorn

Joined: Jul 26, 2010
Posts: 9
Hi John,
Please tell me if by writing "iphone simulator" in spotlight, it shows as no resullts found, it means as my installation does not have iphone sdk in it?? Am I riight??
Hussein Baghdadi
clojure forum advocate
Bartender

Joined: Nov 08, 2003
Posts: 3476

Xcode is bundled with "Mac OS X SDK" and "iPhone SDK".
Did you checked the iPhone SDK during installation?
amita Dewan
Greenhorn

Joined: Jul 26, 2010
Posts: 9
Yes I inspected during installation. In "Installation Type" stage there was no option of "iPhone sdk" to check.
I think here lies the problem.
Am I right??
Rene Larsen
Ranch Hand

Joined: Oct 12, 2001
Posts: 1179

You need to download the iPhone SDK version of XCode - the one you have is the 'normal' Mac OS version.

The latest version is: xcode_3.2.3_and_ios_sdk_4.0.1.dmg


Regards, Rene Larsen
Dropbox Invite
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: how to use iPhone simulator
 
Similar Threads
What is the minimal hardware/software setup for iPhone developement?
upgrading iPhone OS from 3.1.2 to 3.2 or 4.x
do i need mac os for iphone application development ?
Installing the newer Xcode
Writing Apps for iPhones